curl --request POST \
--url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/*+json' \
--data '
{
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": true
}
'import requests
url = "https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps"
payload = {
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"sendEmailNotification": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/*+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/*+json'},
body: JSON.stringify({
filters: {
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
skillId: '<string>',
transactionId: '<string>'
},
sendEmailNotification: true
})
};
fetch('https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Crear exportación de pasos de transacciones
Inicia una exportación asíncrona a CSV de datos de pasos de transacciones desde el Almacén de informes de procesamiento empresarial. La respuesta devuelve un requestId, que se utiliza para consultar el estado de la exportación y descargar los archivos de resultados cuando esta se completa correctamente. Para consultar el flujo de trabajo completo y la referencia de columnas CSV, consulte Business Processing Reporting.
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Cuerpo
Respuesta
Aceptar
Respuesta devuelta tras crear una solicitud de exportación de pasos de transacciones. Contiene el ID de la solicitud que se usa para consultar el estado de la exportación y descargar los archivos de resultados.
Identificador único de la solicitud de generación del informe. Páselo a los endpoints de estado y resultados.
¿Esta página le ayudó?
